PTCCB - Admin - Bug #12751

APP/2411/0024 - Application has one query issued and one product is approved and 2 are pending to

reviews in this case application status showing is In progress

02/13/2025 02:56 PM - priyanka Sharma

Status: In Progress Start date: 02/13/2025

Priority: Normal Due date:

Assignee: Iram Hamdani % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
¢ Radioactive Sources Registration (Application "APP/2411/0024" of "MetroChem Importer Info and )-In-
Gf] Home . "
> Product Registrations

+ Import Licenses Guidance Note
A person may not import, sell by wholesale or retail; store, package or manufacture a pesticide or toxic chemical, unless that pesticide and toxic
> Export Licenses chemical is registered by the Board. A “toxic chemical” means any disinfectant or any other substance known to be poisonous, corrosive, irritating,

sensitizing, or harmful to man or animal that is used in agriculture, that arts, commerce, or industry, or for any domestic or other purpose.

[ Licenses < Each application for new registration or application for amended registration of a toxic chemical must include the following information:

(i) Name and address of the applicant. An applicant not resident in Guyana must also designate an agent to act on behalf of the applicant in all
& Registered Products < registration matters.
(ii) list of the data submitted in the application
(i) product identified by:

(a) product name

Companies <

(b) trade name
& Invoices
The application will ask you to upload Safety Data Sheet and Product Label

@ Restricted chemicals View Guidance for Safety Data Sheet View Guidance for Product Label
History

#1 - 02/13/2025 02:56 PM - priyanka Sharma
- Project changed from PTCCB - Frontend to PTCCB - Admin

#2 - 02/14/2025 10:27 AM - Iram Hamdani

- Status changed from New to In Progress

it is correct as per the flow till then inspector will not approve all products will be shown to him as one product has query raised and it is under proces
to submit
